libidn: strerror-idna.c File Reference

libidn 1.41

Macros | Functions
strerror-idna.c File Reference
`#include "idna.h"`
`#include "gettext.h"`

Go to the source code of this file.

## Macros
#define | _(String) dgettext (PACKAGE, String)

## Functions
const char * | idna_strerror (Idna_rc rc)

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | String | ) | dgettext (PACKAGE, String)

Definition at line 37 of file strerror-idna.c.

## Function Documentation

## ◆ idna_strerror()

const char * idna_strerror | ( | Idna_rc | rc | ) |

idna_strerror:

Parameters

  rc | an Idna_rc return code.

Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

IDNA_SUCCESS: Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes. IDNA_STRINGPREP_ERROR: Error during string preparation. IDNA_PUNYCODE_ERROR: Error during punycode operation. IDNA_CONTAINS_NON_LDH: For IDNA_USE_STD3_ASCII_RULES, indicate that the string contains non-LDH ASCII characters. IDNA_CONTAINS_MINUS: For IDNA_USE_STD3_ASCII_RULES, indicate that the string contains a leading or trailing hyphen-minus (U+002D). IDNA_INVALID_LENGTH: The final output string is not within the (inclusive) range 1 to 63 characters. IDNA_NO_ACE_PREFIX: The string does not contain the ACE prefix (for ToUnicode). IDNA_ROUNDTRIP_VERIFY_ERROR: The ToASCII operation on output string does not equal the input. IDNA_CONTAINS_ACE_PREFIX: The input contains the ACE prefix (for ToASCII). IDNA_ICONV_ERROR: Character encoding conversion error. IDNA_MALLOC_ERROR: Could not allocate buffer (this is typically a fatal error). IDNA_DLOPEN_ERROR: Could not dlopen the libcidn DSO (only used internally in libc).

Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code @rc.

Definition at line 73 of file strerror-idna.c.